/*******************************************************************************
 * FoxRegionRevertUI generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxRegionRevertUI extends FoxUIBaseTask within FoxUI;

var transient Engine.OnlineSubsystemTypes.EGameRegion InitialRegion;
var transient Engine.OnlineSubsystemTypes.EGameRegion DesiredRegion;

function bool StartTask()
{
    local FoxRegionRevertUI ExistingTask;

    // End:0x25
    if(super.StartTask())
    {
        ApplyRegionChange(DesiredRegion);
        return true;
    }
    // End:0xC1
    else
    {
        ExistingTask = FoxRegionRevertUI(GetRunningTask(Class.Name));
        // End:0xC1
        if(ExistingTask != none)
        {
            ExistingTask.DesiredRegion = DesiredRegion;
            ExistingTask.ApplyRegionChange(DesiredRegion);
            return true;
        }
    }
    return false;
    //return ReturnValue;    
}

function StopTask(bool bResult)
{
    ApplyRegionChange(InitialRegion);
    super.StopTask(bResult);
    //return;    
}

protected function ApplyRegionChange(Engine.OnlineSubsystemTypes.EGameRegion PlayerRegion)
{
    // End:0x129
    if(((Outer.PCOwner != none) && Outer.PCOwner.OnlineSub != none) && NotEqual_InterfaceInterface(Outer.PCOwner.OnlineSub.StoreInterface, (none)))
    {
        Outer.PCOwner.OnlineSub.StoreInterface.RegionChange(PlayerRegion, false);
    }
    //return;    
}
